<!--
/**
 * ----------------------------------------------------------------
 * @Copyright   : License MIT 2022
 *
 * @Author      : Alexandre Caillot
 * @WebSite     : https://www.shiros.fr
 *
 * @File        : CVTrainings.vue
 * @Created_at  : 27/06/2022
 * @Update_at   : 27/06/2022
 * ----------------------------------------------------------------
 */
-->

<style type="text/css" src="./css/CVTrainings.css" scoped/>

<script>
    import Card from "../Card/Card";

    export default {
        name: 'CVTrainings',

        components: {
            Card
        },

        data: () => {
            return {
                component: {
                    design: {
                        class: ['cv-trainings']
                    }
                }
            }
        },
    }
</script>

<template>
    <Card :design="component.design">

        <!-- Title -->
        <div class="cv-trainings-title">Formations</div>

        <!-- Formation : Licence Pro -->
        <article class="cv-trainings-item">
            <div class="cv-trainings-item-title">
                <span class="cv-trainings-item-date">2017-2018</span>
                <span class="cv-trainings-item-title-separator">></span>
                <span class="cv-trainings-item-name">Licence Professionnelle Web</span>
                <span class="cv-trainings-item-title-separator">></span>
                <span class="cv-trainings-item-location">Université d'Auvergne (63)</span>
            </div>

            <div class="cv-trainings-item-informations">
                <p class="cv-trainings-item-information">
                    Contrat de professionnalisation en alternance (1 an) à Openium <span class="cv-trainings-item-additional-information">(La Pardieu, Clermont-Fd 63)</span>
                </p>
            </div>
        </article>

        <!-- Formation : DUT Information -->
        <article class="cv-trainings-item">
            <div class="cv-trainings-item-title">
                <span class="cv-trainings-item-date">2015-2017</span>
                <span class="cv-trainings-item-title-separator">></span>
                <span class="cv-trainings-item-name">DUT Informatique</span>
                <span class="cv-trainings-item-title-separator">></span>
                <span class="cv-trainings-item-location">Université d'Auvergne (63)</span>
            </div>
        </article>

        <!-- Formation : Lycée -->
        <article class="cv-trainings-item">
            <div class="cv-trainings-item-title">
                <span class="cv-trainings-item-date">2012-2015</span>
                <span class="cv-trainings-item-title-separator">></span>
                <span class="cv-trainings-item-name">Bac STI2D <span class="cv-trainings-item-additional-information">(Sciences Technologiques de l'Industrie et du Développement Durable)</span></span>
                <span class="cv-trainings-item-title-separator">></span>
                <span class="cv-trainings-item-location">Lycée Pierre Joël Bonté (63)</span>
            </div>

            <div class="cv-trainings-item-informations">
                <p class="cv-trainings-item-information">
                    Options AC <span class="cv-trainings-item-additional-information">(Architecture & Construction)</span> - Mention AB
                </p>
            </div>
        </article>

    </Card>
</template>
